CUPTI (PDF) - v9.1.85 (older) - Last updated November 3, 2017 - Send Feedback

## 3.23. CUpti_ActivityInstantaneousMetricInstance Struct Reference

## [CUPTI Activity API]

This activity record represents a CUPTI metric value for a specific metric domain instance (CUPTI_ACTIVITY_KIND_METRIC_INSTANCE) sampled at a particular time. This activity record kind is not produced by the activity API but is included for completeness and ease-of-use. Profiler frameworks built on top of CUPTI that collect metric data may choose to use this type to store the collected metric data. This activity record should be used when metric domain instance information needs to be associated with the metric.

### Public Variables

uint32_t deviceId
uint8_t flags
CUpti_MetricID id
uint8_t instance
CUpti_ActivityKind kind
uint8_t pad[2]
uint64_t timestamp
union CUpti_MetricValue value

### Variables

uint32_t CUpti_ActivityInstantaneousMetricInstance::deviceId [inherited]

  The device id

uint8_t CUpti_ActivityInstantaneousMetricInstance::flags [inherited]

  The properties of this metric.

  See also:

  CUpti_ActivityFlag

CUpti_MetricID CUpti_ActivityInstantaneousMetricInstance::id [inherited]

  The metric ID.

uint8_t CUpti_ActivityInstantaneousMetricInstance::instance [inherited]

  The metric domain instance

CUpti_ActivityKind CUpti_ActivityInstantaneousMetricInstance::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_INSTANTANEOUS_METRIC_INSTANCE.

uint8_t CUpti_ActivityInstantaneousMetricInstance::pad[2] [inherited]

  Undefined. reserved for internal use

uint64_t CUpti_ActivityInstantaneousMetricInstance::timestamp [inherited]

  The timestamp at which metric is sampled

union CUpti_MetricValue CUpti_ActivityInstantaneousMetricInstance::value [inherited]

  The metric value.